Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.standard.csw.model
Class ServiceSessionRecord

    java.lang.Object
      org.deegree.portal.standard.csw.model.SessionRecord
          org.deegree.portal.standard.csw.model.ServiceSessionRecord

All Implemented Interfaces:
  Serializable

    public class ServiceSessionRecord

extends SessionRecord
implements Serializable

A `${type_name}` class.
TODO class description

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Judit Mays, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Constructor Summary
`ServiceSessionRecord(ServiceSessionRecord ssr)`
`ServiceSessionRecord(String identifier, String catalogName, String title)`
`ServiceSessionRecord(String identifier, String catalogName, String title, String serviceAddress, String serviceType, String serviceTypeVersion)`

Method Summary
`String` | `getServiceAddress()`
`String` | `getServiceType()`
`String` | `getServiceTypeVersion()`
`void` | `setServiceAddress(String serviceAddress)`
`void` | `setServiceType(String serviceType)`
`void` | `setServiceTypeVersion(String serviceTypeVersion)`

Methods inherited from class org.deegree.portal.standard.csw.model.SessionRecord
`equals, getCatalogName, getIdentifier, getTitle, setCatalogName, setIdentifier, setTitle`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceSessionRecord

    public ServiceSessionRecord(String identifier,
                                String catalogName,
                                String title)

Parameters:
  `identifier` -
  `catalogName` -
  `title` -

### ServiceSessionRecord

    public ServiceSessionRecord(String identifier,
                                String catalogName,
                                String title,
                                String serviceAddress,
                                String serviceType,
                                String serviceTypeVersion)

Parameters:
  `identifier` -
  `catalogName` -
  `title` -
  `serviceAddress` -
  `serviceType` -
  `serviceTypeVersion` -

### ServiceSessionRecord

    public ServiceSessionRecord(ServiceSessionRecord ssr)

Parameters:
  `ssr` -

Method Detail

### getServiceAddress

    public String getServiceAddress()

  Returns:
    Returns the serviceAddress.

### setServiceAddress

    public void setServiceAddress(String serviceAddress)

  Parameters:
    `serviceAddress` - The serviceAddress to set.

### getServiceType

    public String getServiceType()

  Returns:
    Returns the serviceType.

### setServiceType

    public void setServiceType(String serviceType)

  Parameters:
    `serviceType` - The serviceType to set.

### getServiceTypeVersion

    public String getServiceTypeVersion()

  Returns:
    Returns the serviceTypeVersion.

### setServiceTypeVersion

    public void setServiceTypeVersion(String serviceTypeVersion)

  Parameters:
    `serviceTypeVersion` - The serviceTypeVersion to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org